import request from '@/utils/request'

// 查询列表预案演练库
export function listDrillDictionary(query) {
  return request({
    url: '/core/drillDictionary/list',
    method: 'get',
    params: query
  })
}

// 查询详细预案演练库
export function getDrillDictionary(id) {
  return request({
    url: '/core/drillDictionary/' + id,
    method: 'get'
  })
}

// 新增预案演练库
export function addDrillDictionary(data) {
  return request({
    url: '/core/drillDictionary',
    method: 'post',
    data: data
  })
}

// 修改预案演练库
export function updateDrillDictionary(data) {
  return request({
    url: '/core/drillDictionary',
    method: 'put',
    data: data
  })
}

// 删除预案演练库
export function delDrillDictionary(id) {
  return request({
    url: '/core/drillDictionary/' + id,
    method: 'delete'
  })
}

// 查询预案演练库列表
export function initList() {
  return request({
    url: '/core/drillDictionary/listData',
    method: 'get'
  })
}

